## org.apache.cassandra.db
Class ReadResponse

    java.lang.Object
      org.apache.cassandra.db.ReadResponse

    public class ReadResponse

extends java.lang.Object

Constructor Summary
`ReadResponse(java.nio.ByteBuffer digest)`
`ReadResponse(Row row)`

Method Summary
`java.nio.ByteBuffer` `digest()`
`boolean` `isDigestQuery()`
`Row` `row()`
`static IVersionedSerializer<ReadResponse>` `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadResponse

    public ReadResponse(java.nio.ByteBuffer digest)

### ReadResponse

    public ReadResponse(Row row)

Method Detail

### serializer

    public static IVersionedSerializer<ReadResponse> serializer()

### row

    public Row row()

### digest

    public java.nio.ByteBuffer digest()

### isDigestQuery

    public boolean isDigestQuery()

Copyright © 2012 The Apache Software Foundation